# Device Settings

## Get Device Settings

> Retrieve the device configuration settings associated with a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/device":{"get":{"tags":["Device Settings"],"summary":"Get Device Settings","description":"Retrieve the device configuration settings associated with a terminal.","operationId":"get","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"payload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}},"device":{"$ref":"#/components/schemas/device"}},"xml":{"name":"payload"}},"device":{"type":"object","properties":{"manufacturer":{"type":"string","description":"Name of the device manufacturer associated with the terminal.","enum":["PAX,DEJAVOO"]},"enabled":{"type":"boolean","description":"Indicates whether the device configuration are enabled for terminals (true) or disabled (false).","enum":[false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Contains key-value metadata of device configuration."},"description":"Contains key-value metadata of device configuration."},"device-api-key":{"type":"string","description":"API key used to authenticate and associate the device with the system."}},"description":"Contains the terminal device configuration settings.","xml":{"name":"device"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Create Device Settings

> Create the device configuration settings for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/device":{"post":{"tags":["Device Settings"],"summary":"Create Device Settings","description":"Create the device configuration settings for a terminal.","operationId":"createEmvSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/device"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"device":{"type":"object","properties":{"manufacturer":{"type":"string","description":"Name of the device manufacturer associated with the terminal.","enum":["PAX,DEJAVOO"]},"enabled":{"type":"boolean","description":"Indicates whether the device configuration are enabled for terminals (true) or disabled (false).","enum":[false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Contains key-value metadata of device configuration."},"description":"Contains key-value metadata of device configuration."},"device-api-key":{"type":"string","description":"API key used to authenticate and associate the device with the system."}},"description":"Contains the terminal device configuration settings.","xml":{"name":"device"}},"payload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}},"device":{"$ref":"#/components/schemas/device"}},"xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Update Device Settings

> Update the existing device settings for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/device":{"put":{"tags":["Device Settings"],"summary":"Update Device Settings","description":"Update the existing device settings for a terminal.","operationId":"updateEmvSettings","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/device"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"device":{"type":"object","properties":{"manufacturer":{"type":"string","description":"Name of the device manufacturer associated with the terminal.","enum":["PAX,DEJAVOO"]},"enabled":{"type":"boolean","description":"Indicates whether the device configuration are enabled for terminals (true) or disabled (false).","enum":[false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Contains key-value metadata of device configuration."},"description":"Contains key-value metadata of device configuration."},"device-api-key":{"type":"string","description":"API key used to authenticate and associate the device with the system."}},"description":"Contains the terminal device configuration settings.","xml":{"name":"device"}},"payload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}},"device":{"$ref":"#/components/schemas/device"}},"xml":{"name":"payload"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```

## Delete Device Settings

> Delete the existing device settings for a terminal.

```json
{"openapi":"3.0.1","info":{"title":"Gateway Settings API","version":"2.0"},"paths":{"/rest/v2/settings/terminal/device":{"delete":{"tags":["Device Settings"],"summary":"Delete Device Settings","description":"Delete the existing device settings for a terminal.","operationId":"delete","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/payload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/payload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorPayloadResponsePayload"}}}}}}}},"components":{"schemas":{"payload":{"type":"object","properties":{"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}},"device":{"$ref":"#/components/schemas/device"}},"xml":{"name":"payload"}},"device":{"type":"object","properties":{"manufacturer":{"type":"string","description":"Name of the device manufacturer associated with the terminal.","enum":["PAX,DEJAVOO"]},"enabled":{"type":"boolean","description":"Indicates whether the device configuration are enabled for terminals (true) or disabled (false).","enum":[false]},"metadata":{"type":"object","additionalProperties":{"type":"string","description":"Contains key-value metadata of device configuration."},"description":"Contains key-value metadata of device configuration."},"device-api-key":{"type":"string","description":"API key used to authenticate and associate the device with the system."}},"description":"Contains the terminal device configuration settings.","xml":{"name":"device"}},"ErrorPayloadResponsePayload":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/ErrorPayload"},"payloadType":{"type":"string","description":"Type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorPayload":{"type":"object","properties":{"error-message":{"type":"string","description":"Describes the reason for the error."},"result-code":{"type":"string","description":"Numeric code that identifies the type of error returned by the request."},"time-stamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}},"xml":{"name":"error"}}}}}
```
